#!/bin/sh
MODULES="legousbtower
         uhci_hcd"

MAJOR=180
MINOR=160
DEV=/dev/usb/legousbtower0

create_device_howto () {
    echo "Das Device kann mit:"
    echo "     mknod ${DEV} c ${MAJOR} ${MINOR}"
    echo "     chmod 666 ${DEV}"
    echo "erzeugt werden."
}

if [ ! -e ${DEV} ] ; then
    echo "Lego-Device existiert nicht.  Ist der Kernel OK?"
    create_device_howto
    exit -1
fi

DEVCHECK=`ls -l /dev/usb/legousbtower0 | sed 's/^[-a-z]\+ \+[0-9]\+ \+[a-z0-9]\+ \+[a-z0-9]\+ \+\([0-9]\{2,3\},\) \+\([0-9]\{2,3\}\) \+[0-9]\{4\}.*/\1\2/'`

if [ "$DEVCHECK" != "${MAJOR},${MINOR}" ] ; then
    echo "Lego-Device hat die falschen Parameter."
    create_device_howto
    exit -1
fi

for mod in $MODULES ; do
    if lsmod | grep -w -q ${mod} ; then
	continue
    fi
    if ! sudo modprobe ${mod} ; then
	echo "Kann Modul ${mod} nicht laden.  Ist der Kernel OK?"
	exit -1
    fi
done

if ! which nqc > /dev/null ; then
    echo "Das Paket nqc ist nicht installiert - kann nichts machen."
    exit -1
fi
